//
//  TestView.swift
//  LeCountdown
//
//  Created by Laurent Morvillier on 03/02/2023.
//

import SwiftUI

struct TestSubView: View {
    
    var body: some View {
        HStack {
            Text("haha").padding()
            Spacer()
            Image(systemName: "xmark").frame(minWidth: 0.0, maxWidth: 60.0, minHeight: 0.0, maxHeight: .infinity).background(.red)
        }
        .background(.gray)
        .cornerRadius(16.0)
    }
    
}

struct TestView: View {
    var body: some View {
        
        LazyVStack {
            TestSubView()
            TestSubView()
            TestSubView()
        }.padding()
        
    }
}

struct TestView_Previews: PreviewProvider {
    static var previews: some View {
        TestView()
    }
}
